Subject: Re: new zsh build hang on sparkylinux (essentially debian test)
From: Vin Shelton <[email-masked]>
To: Bart Schaefer <[email-masked]>
Cc: Zsh hackers list <[email-masked]>
Date: Fri, 13 May 2016 23:20:56 -0400
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Dear Workers,

On Wed, May 11, 2016 at 9:57 PM, Bart Schaefer <[email-masked]>
 wrote:

> On May 11, 2016 6:08 PM, "Vin Shelton" <[email-masked]> wrote:
> >
> > I just installed the most recent version of sparky linux (it is based on
> > debian testing).  I built zsh and the newly-built zsh hangs.
>
> > open("/lib/x86_64-linux-gnu/libnss_compat.so.2", O_RDONLY|O_CLOEXEC) = 11
> > read(11,
> > "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320\22\0\0\0\0\0\0"...,
> > 832) = 832
> > fstat(11, {st_mode=S_IFREG|0644, st_size=31616, ...}) = 0
>
> My best guess is that's attempting to do getpwnam() but the (simulated?)
> NSS query is not returning.
>

Thanks, Bart.

Just for the record, this actually ended up being something to do with the
compiler optimization settings.  Building with CFLAGS=-O yielded a working
zsh.

$ uname -a
Linux nuc 4.5.0-2-amd64 #1 SMP Debian 4.5.3-2 (2016-05-08) x86_64 GNU/Linux

$ gcc --version
gcc (Debian 5.3.1-17) 5.3.1 20160429

  - Vin